<xml></xml>

Saxon API for .NET |

# DocumentBuilder.Build Method (XmlNode)

Load an XML DOM document, supplied as an `XmlNode`, into a Saxon XdmNode.

public XdmNode Build(
XmlNode source
);

#### Parameters

source
  The DOM Node to be copied to form a Saxon tree

#### Return Value

An `XdmNode`, the document node at the root of the tree of the resulting in-memory document

#### Remarks

The returned document will contain only the subtree rooted at the supplied node.

This method copies the DOM tree to create a Saxon tree. See the `Wrap` method for an alternative that creates a wrapper the DOM tree, allowing it to be modified in situ.

#### See Also

DocumentBuilder Class | Saxon.Api Namespace | DocumentBuilder.Build Overload List